> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all transactions

> Returns a list of transactions. Optionally transaction type and dates can be defined to retrieve transactions of a certain type from a certain date to another date



## OpenAPI

````yaml get /consumers/{consumer_id}/payment/transactions
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/payment/transactions:
    get:
      tags:
        - Payment
        - Transactions
      summary: Retrieve all transactions
      description: >-
        Returns a list of transactions. Optionally transaction type and dates
        can be defined to retrieve transactions of a certain type from a certain
        date to another date
      operationId: payment_get_transactions
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: accounting_category
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TransactionAccountingCategory'
              - type: 'null'
            default: all
            title: Accounting Category
          description: Filter based on the type of the transaction.
        - name: starting_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Starting From
          description: Get all transactions more recent than this one excluded
        - name: balance_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Balance Id
          description: Get all transactions for a specific balance
        - name: payout_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payout Id
          description: Get all transactions linked to a specific payout
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Date To
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: Get all transactions for a specific location
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_TransactionItemOut_'
        '400':
          content:
            application/json:
              example:
                message: You must provide an transaction type.
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - payment
            - payment.read
            - payment.transactions
            - payment.transactions.read
components:
  schemas:
    TransactionAccountingCategory:
      type: string
      enum:
        - all
        - unknown
        - payout
        - payout_cancel
        - payment
        - payment_cancel
        - fee
        - fee_cancel
        - invoice
        - internal_move
      title: TransactionAccountingCategory
    ChiftPage_TransactionItemOut_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TransactionItemOut'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[TransactionItemOut]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    TransactionItemOut:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        amount:
          type: number
          title: Amount
          description: Total amount incl. fee
        fee:
          type: number
          title: Fee
          description: Total fee
        currency:
          type: string
          title: Currency
          description: Currency
        exchange_rate:
          type: number
          title: Exchange Rate
          description: Exchange rate
        create_date:
          type: string
          format: date-time
          title: Create Date
          description: Create Date
        application_type:
          type: string
          title: Application Type
          description: Type of the transaction as recorded in the target software
        accounting_category:
          $ref: '#/components/schemas/TransactionAccountingCategory'
          description: Accounting category
        refund_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Refund Id
        payment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description linked to the transaction
      type: object
      required:
        - id
        - source_ref
        - amount
        - fee
        - currency
        - exchange_rate
        - create_date
        - application_type
        - accounting_category
      title: TransactionItemOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````